---
argument_specs:
  main:
    short_description: Setup ceph client and mount cephfs and rbd volumes
    author: XenGi
    options:
      ceph_client__cephfs:
        description: dict with desired cephfs mount points
        type: "list"
        required: false
        elements: "dict"
        options:
          path:
            description: Mountpoint of the filesystem
            type: str
            required: true
          src:
            description: Ceph filesystem source path
            type: str
            required: false
            default: ":/"
          fs:
            description: Ceph filesystem name (mds namespace)
            type: str
            required: true
      ceph_client__rbd:
        description: dict with desired rbd mount points
        type: "list"
        required: false
        elements: "dict"
        options:
          path:
            description: Mountpoint of the filesystem
            type: str
            required: true

